/*=======================================MASTER=========================================*/
body{
    font-weight: 700;
    font-family: 'PT Sans';
}

a{
    color: #FFFFFF;
    transition: .3s all;
}

button{
    border: none;
    padding: 0;
    color: #FFFFFF;
    cursor: pointer;
    transition: .3s all;
}
/*======================================================================================*/


/*=======================================SUPPORT========================================*/
%slider-full{
    height: 100vh;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

%image-bg {
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}
/*======================================================================================*/


/*=======================================HEADER=========================================*/
.burger{
    cursor: pointer;
    width: 40px;
    height: 40px;
    display: inline-block;
    position: relative;
    z-index: 20;
}

.burger-line{
    width: 40px;
    height: 3px;
    background: #FFFFFF;
    position: absolute;
    transition: .3s all;
    top: 50%;
    transform: translateY(-50%);
    border-radius: 4px;

    &::after,
    &::before{
        content: "";
        position: absolute;
        height: 3px;
        transition: .3s all;
        border-radius: 4px;
    }

    &::after{
        top: -10px;
        background: #FFFFFF;
        width: 40px;
    }

    &::before{
        top: 10px;
        background: #FFFFFF;
        width: 40px;
    }

}

.burger.active{
    .burger-line {
        width: 40px;
        transform: translateX(-50%);
        background-color: transparent;

        &::after{
            transform: rotate(-45deg) translate(8px, 17px);
        }
    
        &::before{
            transform: rotate(45deg) translate(5px, -20px);
        }
        
    }
}
/*======================================================================================*/